/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/*Common CSS*/
/*.elementor-button {
    min-width: 200px;
}*/
.without-max-width-btn .elementor-button {
     min-width: unset;
}
.arrow-btn .elementor-button {
    min-width: auto;
    transition: all .5s ease;
}
.arrow-btn .elementor-button .elementor-button-icon svg {
    width: 39px;
    transition: all .5s 
ease;
}
.arrow-btn .elementor-button:hover .elementor-button-icon svg {
    transform: translateX(10px);

}
.blue-color {
    color: #00AEEF;
}
.gray-color {
    color: #ADB5BD;
}

/*Header CSS*/
.header-details .elementor-button {
    min-width: 150px;
}
.header .main-tab {
    position: relative;
    display: inline-flex;
    border: 1px solid #E5E5E5;
    border-radius: 33px;
    padding: 8px;
    padding-right: 20px;
}

.header .site-list {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    overflow: hidden;
    z-index: 1000;
    width: max-content;
    border-radius: 20px;
    background: #FFF;
    box-shadow: 0 4px 30px 0 rgba(0, 0, 0, 0.16);
    padding: 16px;
    margin-top: 8px;
}
.poup-header .header .site-list {
	position: unset;
}
.site-list.open { 
	display: block; 
}
.header .name-item {
	padding: 5px 10px;
}
.header .name-item.active,
.header .name-item:hover {
	background: #E6F8FF;
	border-radius: 33px;
}
.header .main-link,
.header .site-link {
	display: flex;
    align-items: center;
    gap: 10px;
}
.header .main-icon,
.header .site-icon {
	height: 39px;
    width: 39px;
    border-radius: 50%;
    object-fit: contain;
}
.header .full-site-name,
.header .site-name {
    font-size: 16px;
    font-weight: 700;
    color: #0D1E34;
}
.header .name-item {
	margin-top: 8px;
}
.header .name-item:first-child {
	margin-top: 0px;
}
.list-arrow {
	margin-left: 50px;
}

/*Home Banner CSS*/

.site-location:hover {
    border: 1px solid #00AEEF !important;
    box-shadow: 0 0 20px 0 rgba(0, 174, 239, 0.10) !important;
    cursor: pointer;
}
.video-details,
.video-details .elementor-wrapper,
.content-image {
    height: 100%;
}
.back-side {
    opacity: 0;
}
.front-side:hover .back-side,
.back-side.active {
    opacity: 1;
    transition: all 1s ease-out;
}

@keyframes scroll-left {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-50%);
  }
}
.scroll-list-wrapper {
  width: 100% !important;
  overflow: hidden;
  white-space: nowrap !important;
  position: relative;

}
.scroll-list-wrapper .elementor-icon-list-items {
  display: inline-flex !important;
  animation: scroll-left 35s linear infinite;
  flex-wrap: nowrap !important;
}
.scroll-list-wrapper .elementor-icon-list-items .elementor-icon-list-item {
    display: inline-block !important;
    white-space: nowrap !important;
    position: relative;
}
.scroll-list-wrapper .elementor-icon-list-items .elementor-icon-list-item:after {
    position: absolute !important;
    content: '';
    top: 50%;
    right: 0;
    width: 15px !important;
    height: 15px !important;
    background-color: #eee;
    border-radius: 50%;
    border: 0 !important;
    transform: translate(50%, 10px);
}
.flip-box-details .big-text {
    font-size: 20px;
    margin-bottom: 10px;
    font-weight: 700;
}
.thin-title span {
    font-weight: 300;
}
.text-gray span {
    color: var( --e-global-color-3319589 );
}
.btn-white .elementor-button {
    background: var( --e-global-color-accent );
    color: var( --e-global-color-fe88693 );
    border-color: var( --e-global-color-accent );
}
.btn-white .elementor-button:hover {
    background: var( --e-global-color-fe88693 );
    color: var( --e-global-color-accent );
    border-color: var( --e-global-color-fe88693 );
}
.btn-hover-box{
    overflow:hidden;
    transition:all 1s ease-in-out;
}
.btn-hover-box .btn-group {
    margin-bottom: -170px;
    opacity: 0;
    transition:all 1s ease-in-out;
}
.btn-hover-box:hover{
    padding-top:58px;
    transition:all 1s ease-in-out;
}
.btn-hover-box:hover .btn-group{
    margin-bottom: 0px;
    opacity: 1;
    transition:all 1s ease-in-out;
}
.site-location:hover .elementor-heading-title, .site-location:hover .elementor-icon-list-text{
    color:var( --e-global-color-accent ) !important;
}
.site-location:hover .elementor-icon-list-icon svg{
    fill: var( --e-global-color-primary ) !important;
}
.site-location:hover .link-btn li.elementor-icon-list-item a span.elementor-icon-list-text {
    color: var( --e-global-color-primary ) !important;
}
.site-location:hover{
    border-color: var( --e-global-color-text ) !important;
}


.community-row .community-card {
    transition: all 0.3s ease-in-out;
    
}
.community-card .community-image {
    width: 90px;
    border-radius: 100%;
}

.community-card .community-image img {
    border-radius: 100%;
}

.community-card .community-content .elementor-widget-image {
    text-align: left;
}
.community-card .community-content .elementor-widget-image img {
    filter: brightness(0);
    transition: all 0.3s ease;
}

.community-card:hover .community-content .elementor-widget-image img {
    filter: brightness(0) invert(1);
}

.community-card:hover .community-content .elementor-widget-text-editor {
    color: #fff;
}
 
.community-col:hover .community-card .community-content .arrow-btn a{
    color: var( --e-global-color-primary );
}

/* .community-row > .community-col:hover {
    width: 50%;
    flex-basis: 30%;
}
 */
.community-row .community-card:hover {
    width: 70% !important;
    align-items:center;
    transition: all 0.3s ease-in-out;
    justify-content: flex-start;
}

.community-row .community-card:hover {
    background-color: #000;
    flex-direction: row;
}
.community-row .community-card:hover .community-image {
        width:30%
}
    .community-row .community-card:hover .community-image img {
        border-radius: 20px;
    }
    .community-row .community-card:hover .community-content {
        width:70%;
    }
    .community-row .community-card:hover .community-content .elementor-button {
        color: var(--e-global-color-primary);
    }
    .community-row .community-card:hover .community-content .elementor-button svg {
        filter: brightness(0) saturate(100%) invert(49%) sepia(94%) saturate(1346%) hue-rotate(161deg) brightness(95%) contrast(102%);
    }
    .community-row .upcomming-mission-card .community-image {
        width: 100%;
    }
.community-row .upcomming-mission-card .community-image img {
    width: 100%;
    border-radius: 20px 20px 0 0;
    object-position: top;
    height: 300px;
    object-fit: cover;
}
.adults-follow-jesus .community-row .upcomming-mission-card .community-image img {
	object-position: center center;
}
.community-row .upcomming-mission-card:hover .community-image {
    width: 50%;
    height: 100%;
}
.community-row .upcomming-mission-card:hover .community-image .elementor-widget-image {
    height: 100%;
}
.community-row .upcomming-mission-card:hover .community-image img {
    aspect-ratio: unset;
    height: 100%;
    border-radius: 20px 0 0 20px;

}
.community-row .upcomming-mission-card:hover .card-heading {
    color:var( --e-global-color-accent ) !important;
    margin-bottom: 80px;
    border-bottom: 1px solid var(--e-global-color-primary);
    padding-bottom: 5px;
}
.community-row .upcomming-mission-card:hover .sub-heading .elementor-heading-title,
.community-row .upcomming-mission-card:hover .community-content .elementor-button {
    color:var( --e-global-color-accent ) !important;
}
.community-row .upcomming-mission-card:hover .community-content .elementor-button svg {
    filter: brightness(0) invert(1);
}
.community-row .upcomming-mission-card:hover .community-content {
    background-color: var( --e-global-color-text ) !important;
    height: 100%;
    justify-content: center !important;
    border-radius: 0px 20px 20px 0px;
}
.community-row .upcomming-mission-card.hover-card:hover .card-heading {
    border: none;
    margin: 0;
}
.counter-details .elementor-counter-title {
    text-align: center;
}
.open-position-tab-details .e-n-accordion-item {
    border-bottom: 1px solid #00AEEF;
}
.open-position-tab-details .e-n-accordion-item > .elementor-element {
    padding-bottom: 30px;
}
.gform-body .gfield_label,
.gform-body .gform-field-label {
    font-size: 16px !important;
    font-weight: 400 !important;
    color: #121113 !important;
}
.gform-body input[type="text"],
.gform-body input[type="email"],
.gform-body input[type="tel"],
.gform-body select,
.gform-body textarea {
    height: 48px !important;
    border-radius: 5px !important;
    /*border: 1px solid #121113 !important;*/
    border: none !important;
}
/*.gform-body input[type="radio"] {
    height: unset !important;
    border-radius: 50% !important;
}*/
.gform-body input[type="radio"],
.gform-body input[type="checkbox"] {
    background-color: rgb(135 143 151 / 40%) !important;
    border: none !important;
}
.gform-body .ginput_container_textarea textarea {
    height: 180px !important;
    resize: none !important;
}
.gform-body .gform_fields {
    row-gap: 15px !important;
}
.gform-body  .gfield_radio {
    display: grid !important;
    grid-template-columns: repeat(2, 1fr) !important;
    max-width: 512px !important;
    column-gap: 20px !important;
    row-gap: 15px !important;
}
.gform-footer input[type="submit"] {
    background-color: #121113 !important;
    border-radius: 33px !important;
    padding: 15px 25px !important;
    font-size: 16px !important;
    font-weight: 700 !important;
}
.gform-footer input[type="submit"]:hover {
    color: #121113 !important;
    background-color: #ADB5BD !important;
}

.animation-marquee *{
    margin:0;
    padding:0;
    box-sizing:border-box;
/*     font-family:Arial,sans-serif; */
}

.animation-wrapper {
    display: flex;
    gap: 80px;
    align-items: center;
}
.animation-wrapper.right-image {
    flex-direction: row-reverse;
}

/* IMAGE */
.image-slider{
    position:relative;
    border-radius:12px;
    overflow:hidden;
    aspect-ratio:1/1;
    width: 50%;
}

.image-slide{
    position:absolute;
    width:100%;
    height:100%;
    opacity:0;
    transition:.7s;
}
.image-slide.active{opacity:1;}

.image-slide img{
    width:100%;
    height:100%;
    object-fit:contain;
    object-position: top center;
}

/* TEXT */
.animation-wrapper .text-side {
    width: 50%;
}
.content-list{
    overflow:hidden;
    position:relative;
}

.content-track{
    position:absolute;
    width:100%;
}

.content-item {
    padding: 20px 0; 
    opacity:.35;
    transition:.3s;
}
.content-item.active{
    padding: 20px;
    opacity:1;
    background-color: #F4F5F6;
    border-radius: 10px;
}

/* buttons */
.action-buttons{
    margin-top:25px;
    display:flex;
    gap:15px;
}
.btn-secondary.arrow-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    font-family: "Work Sans";
    font-size: 16px;
    font-weight: 600;
    color: #121113;
    transition: all .5s ease;
}
.btn-secondary.arrow-btn svg {
    width: 39px;
}
.btn-secondary.arrow-btn:hover svg {
    transform: translateX(10px);
}
.animation-main-heading {
    margin-bottom: 20px;
}
.animation-heading {
    font-family: "Commissioner";
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 15px;
}
.content-item p {
    font-family: "Commissioner";
    font-size: 16px;
    line-height: 24px;
}
.text-side > p {
margin-bottom: 30px;
}
.banner-icon-list:before {
    position: absolute;
    content: '';
    top: -32px;
    left: 0;
    width: 32px;
    height: 32px;
    background-image: url(/wp-content/uploads/2026/01/Subtract.png);
    background-repeat: no-repeat;
    background-size: contain;
}
.slider-button .elementor-button.active {
    background-color: #121113 !important;
    color: #ffffff !important;
} 
.tab-progress-slider .swiper-pagination-bullets {
    width: 90%;
    display: flex;
}
.tab-progress-slider .swiper {
    padding-bottom: 0 !important;
}
.tab-progress-slider .swiper-pagination-bullet:first-child {
    border-bottom-left-radius: 20px !important;
    border-top-left-radius: 20px !important;
}
.tab-progress-slider .swiper-pagination-bullet:last-child {
    border-bottom-right-radius: 20px !important;
    border-top-right-radius: 20px !important;
}
.tab-progress-slider .swiper-pagination-bullets .swiper-pagination-bullet {
    width: 100%;
    height: 10px;
    border-radius: 0;
}

.tab-progress-slider .swiper-pagination-bullets .swiper-pagination-bullet:hover {
    background-color: #e8eaed99;
}
.tab-progress-slider .swiper-pagination-bullets .swiper-pagination-bullet-active {
    background-color: #e8eaed99;
    border-radius: 20px;
}
.tab-progress-slider .swiper-pagination-progressbar {
    border-radius: 20px;
    top: unset;
    bottom: 80px;
    width: 90%;
    background-color: rgb(232 234 237 / 10%);
    transform: translate(-50%, -50%);
    left: 50%;
}
.serve-hover-details:hover .serve-sub-heading {
    background-color: #00AEEF;
} 
.serve-hover-details:hover  .serve-hover-image {
    display: block;
}
.serve-hover-details:hover .serve-main-heading .elementor-heading-title,
.serve-hover-details:hover .serve-main-content,
.serve-hover-details:hover .serve-arrow-btn .elementor-button,
.banner-blur-effect:hover .banner-heading,
.banner-blur-effect:hover .banner-content {
    color: #ffffff;
}
.serve-hover-details:hover .serve-arrow-btn svg {
    filter: brightness(0) invert(1);
}
.serve-hover-details:hover .serve-sub-column {
    background-color: #ADB5BD !important;
}
.serve-hover-details:hover .serve-primary-btn .elementor-button {
    background-color: #ffffff;
    color: #121113;
}
.banner-blur-effect {
    backdrop-filter: blur(3.5px);
}
/* .the-lord-tab-details {
    opacity: 30%;
}
.the-lord-tab-details:hover {
    opacity: 100%;
    padding: 20px;
    transition: all 0.5s ease-out;
} */
.tab-image-details {
    position: relative;
}

.tab-image-details .elementor-widget-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    transition: all 0.5s ease;
    border-radius: 20px;
	opacity: 40% !important;
}
.tab-image-details .elementor-widget-image.active {
	opacity: 100% !important;
}
.tab-details {
	opacity: 30%;
}
.tab-details.active {
	background-color: #ffffff;
	opacity: 100%;
}
.tab-details.active .elementor-heading-title {
	font-weight: 700 !important;
}
.matter-video-slider-section .swiper-wrapper .swiper-slide {
	opacity: 50%;
}
.matter-video-slider-section .swiper-wrapper .swiper-slide .elementor-custom-embed-play {
	opacity:0;
}
.matter-video-slider-section .swiper-wrapper .swiper-slide.swiper-slide-active {
	opacity: 100%;
}
.matter-video-slider-section .swiper-wrapper .swiper-slide.swiper-slide-active .elementor-custom-embed-play {
	opacity:1;
}
.popup-menu-details .has-submenu {
	justify-content: space-between;
}
.popup-menu-details .elementor-nav-menu--dropdown .elementor-sub-item {
	font-weight: 400 !important;
}
.popup-menu-details .elementor-nav-menu--dropdown .elementor-sub-item:hover {
	background-color: #E8EAED !important;
}
.video-slider-details .slider-nav .slick-slide {
    margin: 0 25px; /* 25 + 25 = 50px total gap */
}

/* Remove side offset */
.video-slider-details .slider-nav .slick-list {
    margin: 0 -25px;
}
.video-slider-details .slider-nav .slick-slide {
	opacity: 40%;
}
.video-slider-details .slider-nav .slick-slide.slick-current {
	opacity: 100%;
}
.video-slider-details .slider-nav .slick-slide.slick-current .elementor-widget-heading .elementor-heading-title {
	color: #00AEEF;
}
.video-slider-details .slider-nav .slick-slide .elementor-widget-heading {
	margin-top: 10px;
}
.video-slider-details .slider-nav .elementor-widget-image:after {
	position: absolute;
    content: '';
    top: 50%;
    left: 50%;
    width: 92px;
    height: 82px;
    background-image: url(/wp-content/uploads/2025/12/Play.svg);
    background-repeat: no-repeat;
    background-size: contain;
    transform: translate(-50%, -50%);
	opacity:0;
}
.video-slider-details .slider-nav .slick-slide.slick-current .elementor-widget-image:after {
	opacity:1;
}
.video-slider-details,
.video-slider-details .slider-for,
.video-slider-details .slider-nav {
    width: 100% !important;
    min-width: 0 !important; /* important for slick */
}
.video-slider-details .slider-for,
.video-slider-details .slider-nav {
    display: block !important;
}
.video-slider-details .slick-dots {
	display: flex;
	gap: 15px;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
}
.video-slider-details .slick-dots li button {
	display: none;
}
.video-slider-details .slick-dots li::marker {
	color:#121113;
	font-size:20px
}
.video-slider-details .slick-dots li.slick-active::marker {
	color:#00aeef;
}
.background-text {
	position: absolute;
    top: 30px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
}
@media (max-width: 1600px) {
    .animation-wrapper {
        gap: 50px;
    }
    .animation-wrapper {
        display: flex;
        gap: 80px;
        align-items: start;
    }
	.video-slider-details .slider-nav .elementor-widget-image:after {
		width: 60px;
		height: 50px;
	}
}
@media (max-width: 1200px) {
    .scroll-list-wrapper .elementor-icon-list-items .elementor-icon-list-item:after {
        width: 8px !important;
        height: 8px !important;
    }
    .community-row .community-card.elementor-element:hover {
        width: 100% !important;
    }
    .community-row .upcomming-mission-card:hover .card-heading {
        margin-bottom: 50px;
    }
    .animation-wrapper {
        gap: 30px;
    }
	.video-slider-details .slider-nav .elementor-widget-image:after {
		width: 50px;
		height: 40px;
	}
}
@media (max-width: 991px) {
    .animation-wrapper,
    .animation-wrapper.right-image {
        flex-direction: column;
    }
    .image-slider,
    .animation-wrapper .text-side {
        width: 100%;
    }
	.video-slider-details .slider-nav .elementor-widget-image:after {
		width: 40px;
		height: 30px;
	}
}
@media (max-width: 767px) {
    .footer-menu .elementor-item {
        justify-content: center;
    }
    .community-row .community-card:hover .community-content {
            width:100%
        }
    .community-row .upcomming-mission-card:hover .community-image img {
        border-radius: 20px 20px 0 0px;
    }
    .community-row .upcomming-mission-card:hover .community-image {
      width: 100%;
      height: auto;
    }
    .community-row .upcomming-mission-card:hover .community-content {
      height: auto;
      border-radius: 0px 0px 20px 20px;
    }
    .community-row .upcomming-mission-card:hover .card-heading {
        margin-bottom: 30px;
    }
    .gform-body .gfield_radio {
        grid-template-columns: repeat(1, 1fr) !important;
    }
    .animation-wrapper{
        grid-template-columns:1fr;
    }
	.banner-last-image {
		position: relative !important;
	}
	.background-text {
		position: relative;
    	top: 0px;
	}
}